// pch.cpp: source file corresponding to the pre-compiled header

#include "pch.h"
#include <stdio.h>

// When you are using pre-compiled headers, this source file is necessary for compilation to succeed.

void PrintStruct(TestStruct* test, int bufLen)
{
    wprintf(L"%d, %d, %ls\n", test->shortField, test->intField, test->txt);

    for (int i = 0; i < bufLen; i++)
    {
        wprintf(L"%I64d,", test->fields[i]);
    }

    wprintf(L"\n");
}

__declspec(dllexport) void __stdcall FixedStructTest(TestStruct *test, int bufLen)
{
    wprintf(L"[C++ output (from C#)]\n");
    PrintStruct(test, bufLen);
    wprintf(L"\n");

    test->shortField = test->shortField + 100;
    test->intField = test->intField + 100;
    wcscpy_s(test->txt, L"qwer en baad");

    for (int i = 0; i < bufLen; i++)
    {
        test->fields[i] = (i * 2) + 200;
    }

    wprintf(L"[C++ output (passing to C#)]\n");
    PrintStruct(test, bufLen);
    wprintf(L"\n");
}